/**
 * class Passagier - Beschrijft een passagier van een vliegtuig.
 *
 * @author Dominiek Vandewalle
 * @version 2023-02-01
 */
public class Passagier
{
    private String naam;

    /**
     * Constructor voor objecten van de klasse Passagier.
     * @param   naam    de naam van de passagier
     */
    public Passagier(String naam)
    {
        this.naam = naam;
    }

    /**
     * Geeft de naam van de passagier terug.
     * @return  de naam van de passagier
     */
    public String getNaam()
    {
        return naam;
    }
    
    /**
     * Toont de naam van de passagier in het terminalvenster.
     */
    public void print()
    {
        System.out.println(naam);
    }
}
