/**
 * class DoeDeTest - testklasse voor booleaanse expressies.
 *
 * @author Dominiek Vandewalle
 * @version 2023-03-10
 */
public class DoeDeTest
{
    /**
     * Controleert of twee letters in alfabetische volgorde staan.
     * @param   letter1 De eerste letter
     * @param   letter2 De tweede letter
     * @return  true indien letter1 alfabetische voor (of op dezelfde plaats) letter2 komt, anders false.
     */
    public boolean isAlfabetisch(char letter1, char letter2)
    {
        return letter1 <= letter2;
    }
    
    /**
     * Bepaalt of een persoon met een gegeven leeftijd een tiener is.
     * @return  true indien de persoon een tiener is, anders false.
     */
    public boolean isEenTiener(int leeftijd)
    {
        return leeftijd >= 10 && leeftijd < 20;
    }
}