import java.util.ArrayList;
/**
 * class Kopieertoestel - Een kopieertoestel met meerdere papierladen
 *
 * @author Dominiek Vandewalle
 * @version 2023-01-18
 */
public class Kopieertoestel
{
    private String locatie;//De plaats waar het kopieertoestel staat (Agora, receptie...)
    private ArrayList<Papierlade> lades;//De enige papierlade van het kopieertoestel

    /**
     * Constructor voor objecten van de klasse Kopieertoestel
     * @param   locatie Plaats waar dit kopieertoestel opgesteld werd
     */
    public Kopieertoestel(String locatie)
    {
        // geef de instance variables een beginwaarde
        this.locatie = locatie;
        this.lades = new ArrayList<Papierlade>();
    }

    /**
     * Maakt een nieuwe papierlade aan in plugt de papierlade in dit kopieertoestel.
     */
    public void pluginNieuwePapierlade(String papiertype)
    {
        //hier komt je code
    }
    
    public void pluginBestaandePapierlade(Papierlade lade)
    {
        //hier komt je code
    }
    
    /**
     * Verwijdert de papierlade uit dit kopieertoestel.
     */
    public void verwijderPapierlade(int index)
    {
        //hier komt je code
    }
    
    /**
     * Vult de papierlade van dit kopieertoestel bij.
     * @param   aantal  het aantal bladen waarmee men de papierlade van dit kopieertoestel aanvult
     */
    public void vulPapierlade(int index, int aantal)
    {
        //hier komt je code
    }
    
    /**
     * Toont alle beschikbare papiersoorten in het kopieertoestel 
     * (= meer dan 0 bladen in de betreffende lade) 
     */
    public void toonBeschikbarePapiertypes()
    {
        //hier komt je code        
    }
    
    /**
     * Neemt een aantal kopies. Er moet eerst getest worden of er een papierlade in dit kopieertoestel zit.
     * Vervolgens moet getest worden of er voldoende papier aanwezig is in dit toestel.
     * @param   aantal  het aantal kopies dat een gebruiker wenst te nemen
     */
    public void kopieer(int aantal, String papiertype)
    {
        //hier komt je code
    }
    
    /**
     * Toont de status van het kopieertoestel in het terminalvenster.
     */
    public void toonPrintStatus()
    {
        System.out.println("Locatie: " + locatie);
        System.out.println("====================");
        
        for(Papierlade lade: lades)
        {
                System.out.println(lade.getPapiertype() + "-lade: " +  lade.getAantalbladen());
        }

    }
}
