/**
 * class Cowboy - beschrijft een cowboy uit een computerspel
 *
 * @author Dominiek Vandewalle
 * @version 2023-02-17
 */
public class Cowboy
{
    private String naam;
    private int gezondheid;

    /**
     * Constructor voor objecten van de klasse Cowboy
     * @param   naam        de naam van de cowboy
     * @param   gezondheid  de gezondheid van de cowboy
     */
    public Cowboy(String naam, int gezondheid)
    {
        this.naam = naam;
        this.gezondheid = gezondheid;
    }

    /**
     * Geeft de naam van een cowboy terug.
     * @return  de naam van de cowboy
     */
    public String getNaam()
    {
        return naam;
    }

    /**
     * Geeft de gezondheid van de cowboy terug
     * @return  de gezondheid van de cowboy
     */
    public int getGezondheid()
    {
        return gezondheid;
    }

    /**
     * Toont informatie over de cowboy in het terminalvenster.
     */
    public void print()
    {
        System.out.println(naam + " (" + gezondheid + ")");
    }
}
