
/**
 * class Sudoku - Beschrijft een spelletje Sudoku
 *
 * @author Dominiek Vandewalle
 * @version 2023-02-03
 */
public class Sudoku
{
    private int volgnummer;
    private int niveau;
    
    /**
     * Constructor voor objecten van de klasse Sudoku.
     * @param   volgnummer  het volgnummer van de sudoku
     * @param   niveau      het niveau van de sudoku
     */
    public Sudoku(int volgnummer, int niveau)
    {
        this.volgnummer = volgnummer;
        this.niveau = niveau;
    }
    
    /**
     * Geeft het volgnummer van de sudoku terug.
     * @return  het volgnummer van de sudoku
     */
    public int getVolgnummer()
    {
        return volgnummer;
    }
    
    /**
     * Geeft het niveau van de sudoku terug.
     * @return  het niveau van de sudoku
     */
    public int getNiveau()
    {
        return niveau;
    }
    
    /**
     * Toont informatie over de sudoku in het terminalvenster.
     */
    public void print()
    {
            System.out.println("Niveau " + niveau + " --> Sudoku " + volgnummer); 
    }
}
