/**
 * Beschrijft de spelfiguur Supermario.
 *
 * @author  Dominiek Vandewalle
 * @version 2022-12-15
 */
public class SuperMario
{
    private int x; // x-coordinaat van het object op het scherm
    private int y; // y-coordinaat van het object op het scherm

    /**
     * Maakt een object aan van de Klasse SuperMario.
     */
    public SuperMario()
    {
        x = 0;
        y = 0;
    }
    
    /**
     * Geeft de x-coordinaat op het scherm terug.
     * @return de x-coordinaat
     */
    public int getX()
    {
        return x;
    }
    
    /**
     * Geeft het object een nieuwe y-coordinaat.
     * @param   y   de nieuwe y-coordinaat.
     */
    public void setY(int y)
    {
        this.y = y;
    }

    /**
     * Verplaatst het object een plaats naar links.
     */
    public void links()
    {
        x--; 
    }

    /**
     * Verplaatst het object een plaats naar rechts.
     */
    public void rechts()
    {
        x++; 
    }

    /**
     * Verplaatst het object twee plaatsen omhoog.
     */
    public void spring()
    {
        y += 2;
    }
}
