
/**
 * class Woordslang - Beschrijft het spelletje woordslang
 * 
 * @author Dominiek Vandewalle
 * @version 2023-01-08
 */
public class Woordslang
{
    private String laatsteWoord;
    private int aantalWoorden;

    /**
     * Constructor voor objecten van de klasse Woordslang.
     */
    public Woordslang()
    {
        this.laatsteWoord = "tomaat";
        aantalWoorden = 0;
    }

    /**
     * Probeert een woord toe te voegen aan de woordslang.
     * @param   woord   het woord dat aan de woordslang toegevoegd wordt
     */
    public void voegWoordToe(String woord)
    {
        if(woord.substring(woord.length() - 1, woord.length()).equals(laatsteWoord.substring(0,1)))
        {
            laatsteWoord = woord;
            aantalWoorden++;
        }
    }
}
