/**
 * class Glas - beschrijft een glas dat kan gevuld worden met bier
 *
 * @author Dominiek Vandewalle
 * @version 2023-01-15
 */
public class Glas
{
    private double inhoud;//Maximale hoeveelheid bier in het glas.
    private double hoeveelheidBier;//Hoeveelheid bier in het glas.

    /**
     * Constructor voor objecten van de klasse Glas.
     * @param   inhoud  de inhoud van het glas
     */
    public Glas(double inhoud)
    {
        this.inhoud = inhoud;
        hoeveelheidBier = 0;
    }

    /**
     * Geeft de inhoud van het glas terug.
     * @return  de inhoud van het glas
     */
    public double getInhoud()
    {
        return inhoud;
    }
    
     /**
     * Geeft de hoeveelheid bier in het glas terug.
     * @return  de hoeveelheid bier in het glas
     */
    public double getHoeveelheidBier()
    {
        return hoeveelheidBier;
    }
    
     /**
     * Vult het glas met een hoeveelheid bier bij.
     * @param   hoeveelheid     de hoeveelheid bier we wensen bij te vullen
     */
    
    public void vulBij(double hoeveelheid)
    {
        //jouw code
    }
    
    /**
     * Drinkt een hoeveelheid bier uit het glas op (op = op).
     * @param   hoeveelheid     de hoeveelheid die uit het glas gedronken wordt
     */
    public void drink(double hoeveelheid)
    {
        //jouw code
        
    }
    
    /**
     * Drinkt het glas in één keer leeg.
     */
    public void adFundum()
    {
        inhoud = 0;
    }
    
}
