
/**
 * class Vuil - Beschrijft een vuilnisbak
 *
 * @author Dominiek Vandewalle
 * @version 2023-04-28
 */
public class Vuilnisbak
{
    private double gewicht;
    
    /**
     * Constructor voor objecten van de klasse Vuilnisbak.
     * @param   het gewicht van de vuilnisbak
     */
    public Vuilnisbak(double gewicht)
    {
        this.gewicht = gewicht;
    }
    
    /**
     * Geeft het gewicht van het vuilnis in de vuilnisbak terug
     * @return  het gewicht van het vuilnis
     */
    public double getGewicht()
    {
        return gewicht;
    }
    
    /**
     * Stelt het gewicht in van het vuilnis in de vuilnisbak.
     * @param   gewicht     het nieuwe gewicht van het vuilnis
     */
    public void setGewicht(double gewicht)
    {
        this.gewicht = gewicht;
    }
    
    /**
     * Leegt het vuilnis uit de vuilnisbak.
     * @return  het gewicht van het vuilnis
     */
    public double ophaling()
    {
        double hulp = gewicht;
        gewicht = 0;
        return hulp;
    }
    
    /**
     * Toont informatie over de vuilnisbak in het terminalvenster.
     */
    public void print()
    {
        System.out.println("Gewicht: " + gewicht + " kg");
    }
}
