
/**
 * class Apache - Beschrijft het personage Apache-indiaan van een computerspelletje
 *
 * @author Dominiek Vandewalle
 * @version 2023-01-27
 */
public class Apache extends Indiaan
{
    private int aantalPaarden;
    
    /**
     * Constructor voor objecten van de klasse Apache
     * @param   naam    de naam van de Apache-indiaan
     */
    public Apache(String naam)
    {
        super(naam);
        aantalPaarden = 0;
    }
    
    /**
     * Geeft het aantal paarden reeds getemd werden terug
     * @return het aantal getemde paarden
     */
    public int getAantalPaarden()
    {
        return aantalPaarden;
    }
    
    /**
     * Door het temmen van een paard wordt een stukje van de gezondheid herwonnen.
     */
    public void temPaard()
    {
        gezondheid = Math.min(100, gezondheid + 20);
        aantalPaarden++;
    }
    
    public void print()
    {
        System.out.println("Lid Apache stam");
        super.print();
        System.out.println("Bezit " + aantalPaarden + " paarden");
    }
}
