import java.util.ArrayList;
/**
 * class TestCowboyDAO - testklasse voor de interface CowboysDAO
 *
 * @author Dominiek Vandewalle
 * @version 2023-02-24
 */
public class TestCowboysDAO implements CowboysDAO
{
    /**
     * Geeft een ArrayList met een verwijzing naar een instantie van Cowboy terug.
     * @return  een ArrayList met een instantie van Cowboy
     */
    public ArrayList<Cowboy> lees()
    {
        ArrayList<Cowboy> cowboys = new ArrayList<Cowboy>();
        cowboys.add(new Cowboy("Henk", 80));
        return cowboys;
    }
    
    /**
     * Toont in het terminalvenster het aantal verwijzingen de gegeven ArrayList bijhoudt.
     * @param   cowboys een collectie van cowboys
     */
    public void schrijf(ArrayList<Cowboy> cowboys)
    {
        System.out.println("TestCowboysDAO: " + cowboys.size() + " cowboys werden bewaard");       
    }
   
}
