import java.util.ArrayList;
/**
 * class Game - Beschrijft een eenvoudig spel waar cowboys aan deelnemen.
 *
 * @author Dominiek Vandewalle
 * @version 2023-02-23
 */
public class Game
{
    private ArrayList<Cowboy> cowboys;

    /**
     * Constructor voor objecten van de klasse Game.
     */
    public Game()
    {
        cowboys = new ArrayList<Cowboy>();
    }

    /**
     * Voegt een cowboy toe aan het spel
     * @param   cowboy  de cowboy die toegevoegd wordt.
     */
    public void cowboyToevoegen(Cowboy cowboy)
    {
        cowboys.add(cowboy);
    }

    /**
     * Toont alle cowboys in het terminalvenster.
     */
    public void print()
    {
        for(Cowboy cowboy : cowboys)
        {
            cowboy.print();
        }
    }
}
